<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    tools:context="com.hikapro.backpack.view.fragments.ShareFragment"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/colorListBackground"
    android:animateLayoutChanges="true">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:gravity="top"
            android:layout_gravity="top">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:gravity="top">

                <ImageView
                    android:id="@+id/share_image_view"
                    android:layout_width="300dp"
                    android:layout_height="300dp"
                    android:layout_gravity="center_horizontal|center_vertical"
                    android:contentDescription="Sharing picture" />

                <RelativeLayout
                    android:id="@+id/share_progress_container"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal|center_vertical"
                    android:visibility="gone">
                    <ProgressBar
                        android:id="@+id/share_progress"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingStart="32dp"
                        android:paddingEnd="32dp"
                        android:paddingBottom="32dp"
                        android:paddingTop="20dp"
                        style="@android:style/Widget.ProgressBar.Large"
                        android:layout_centerInParent="true"
                        android:layout_marginEnd="5dp" />
                </RelativeLayout>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/share_buttons_layout"
                android:orientation="vertical"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"

                android:layout_marginTop="16dp">

                <View
                    android:layout_marginTop="0dp"
                    android:layout_width="match_parent"
                    android:layout_height="2dip"
                    android:background="@color/colorShareSeparatorBackground">
                </View>

                <LinearLayout
                    android:id="@+id/facebook_container"
                    android:orientation="horizontal"
                    android:layout_width="match_parent"
                    android:layout_height="70dp"
                    android:layout_marginStart="16dp"
                    android:layout_marginEnd="16dp"
                    android:layout_marginTop="4dp"
                    android:gravity="center_horizontal|center_vertical">

                    <ImageView
                        android:id="@+id/facebook_icon_view"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_facebook_icon"
                        android:contentDescription="@string/cd_facebook" />

                    <TextView
                        android:id="@+id/facebook_txt"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:gravity="center_vertical"
                        android:layout_weight="1"
                        android:layout_marginStart="16dp"
                        android:textColor="@color/colorText"
                        android:textAppearance="?android:attr/textAppearanceMedium"
                        android:textSize="@dimen/share_option_txt"
                        android:text="@string/facebook"/>

                    <LinearLayout
                        android:layout_width="80dp"
                        android:layout_height="32dp"
                        android:orientation="horizontal"
                        android:background="@color/colorShareBtnBackground">

                    <Button
                        android:id="@+id/facebook_share_button"
                        style="@style/ActionBarButtonWhite"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:text="@string/share_button"
                        android:textSize="@dimen/share_btn_text_size" />
                    </LinearLayout>
                </LinearLayout>

                <View
                    android:layout_marginTop="4dp"
                    android:layout_marginBottom="4dp"
                    android:layout_marginStart="16dp"
                    android:layout_marginEnd="16dp"
                    android:layout_width="match_parent"
                    android:layout_height="2dip"
                    android:background="@color/colorShareSeparatorBackground">
                </View>

                <LinearLayout
                    android:id="@+id/twitter_container"
                    android:orientation="horizontal"
                    android:layout_width="match_parent"
                    android:layout_height="70dp"
                    android:layout_marginStart="16dp"
                    android:layout_marginEnd="16dp"
                    android:layout_marginBottom="4dp"
                    android:gravity="center_horizontal|center_vertical">

                    <ImageView
                        android:id="@+id/twitter_icon_view"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_twitter_icon"
                        android:contentDescription="@string/cd_twitter" />

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:layout_height="match_parent"
                        android:orientation="vertical"
                        android:layout_marginStart="16dp">

                        <TextView
                            android:id="@+id/twitter_txt"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="16dp"
                            android:layout_gravity="center_vertical"
                            android:background="@color/colorFullTransparent"

                            android:gravity="center_vertical"
                            android:textColor="@color/colorText"
                            android:textAppearance="?android:attr/textAppearanceMedium"
                            android:textSize="@dimen/share_option_txt"
                            android:text="@string/twitter"/>

                        <TextView
                            android:id="@+id/twitter_login"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="@color/colorFullTransparent"

                            android:gravity="center_vertical"
                            android:textColor="@color/colorText"
                            android:textAppearance="?android:attr/textAppearanceSmall"
                            android:textSize="@dimen/share_option_login_txt" />

                    </LinearLayout>


                    <LinearLayout
                        android:layout_width="80dp"
                        android:layout_height="32dp"
                        android:orientation="horizontal"
                        android:background="@color/colorShareBtnBackground">

                        <Button
                            android:id="@+id/twitter_share_button"
                            style="@style/ActionBarButtonWhite"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:text="@string/share_button"
                            android:textSize="@dimen/share_btn_text_size" />
                    </LinearLayout>

                </LinearLayout>

                <View
                    android:layout_marginTop="0dp"
                    android:layout_width="match_parent"
                    android:layout_height="2dip"
                    android:background="@color/colorShareSeparatorBackground">
                </View>

            </LinearLayout>
        </LinearLayout>
    </ScrollView>
</FrameLayout>


